Bug 1194773 - [RFE] Content hosts -> Errata tab: Add helptext to inform Applicable errata cannot be applied
Summary: [RFE] Content hosts -> Errata tab: Add helptext to inform Applicable errata c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Walden Raines
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-20 17:41 UTC by sthirugn@redhat.com
Modified: 2017-02-23 20:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:26:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 9670 0 None None None 2016-04-22 14:55:38 UTC
Red Hat Product Errata RHSA-2015:1592 0 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description sthirugn@redhat.com 2015-02-20 17:41:16 UTC
Description of problem:
Content hosts -> Errata tab: Add helptext to inform Applicable errata cannot be applied

Version-Release number of selected component (if applicable):
Satellite-6.1.0-RHEL-6-20150217.0

How reproducible:
Always

Steps to Reproduce:
1. Upload a manifest, sync a repo (with errata)
2. Create multiple environments say Library -> QE
3. Create content view (cv3) and make sure Library has more errata than QE environment
4. Register a content host to QE environment

Actual results:
Go to Content host -> Errata tab
- 1. Select Current Environment (QE/cv3) - shows 'Installable errata'.
- 2. Select Previous Environment (Library/cv3) - shows 'Applicable errata'
- 3. Select Library Synced Content - shows 'Applicable errata'

For scenarios 2 and 3 above, I am not able to actually install errata as part of Incremental updates.  I learnt later that Incremental Updates can be applied only from Content -> 'Errata'

Expected results:
For scenarios 2 and 3 above, make it obvious to the user that these are not installed by
- Adding clear help text that this is view only and install of these errata can be done only from Content -> Errata page.
- greying out errata selection options
and anything else which is necessary

Additional info:

Comment 2 Walden Raines 2015-03-06 14:54:03 UTC
Created redmine issue http://projects.theforeman.org/issues/9670 from this bug

Comment 3 Walden Raines 2015-03-06 16:18:54 UTC
PR: https://github.com/Katello/katello/pull/5085

Comment 4 Bryan Kearney 2015-03-10 14:05:30 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/9670 has been closed
-------------
Walden Raines
Applied in changeset commit:katello|e077aa1b15c639a98f2ae9e8e59007ebd5f55a5b.

Comment 7 sthirugn@redhat.com 2015-03-12 16:59:36 UTC
Verified.  

Now when I select applicable errata in content host -> errata tab, I see the following:

Some of the Errata shown below may not be installable as they are not in this Content Host's Content View and Lifecycle Environment. In order to apply such Errata an Incremental Update is required. Click here to select Errata for an Incremental Update.

Version Tested:
Satellite-6.1.0-RHEL-6-20150311.1

Comment 8 Bryan Kearney 2015-08-11 13:22:09 UTC
This bug is slated to be released with Satellite 6.1.

Comment 9 errata-xmlrpc 2015-08-12 05:26:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.